Delete a synonym rule

Auth

Delete a synonym rule from a synonym set.

Required privileges

Cluster privileges manage_search_synonyms

Path parameters

set_id string required

The ID of the synonym set to update.

rule_id string required

The ID of the synonym rule to delete.

Query parameters

refresh boolean · default: true

If true, the request will refresh the analyzers with the deleted synonym rule and wait for the new synonyms to be available before returning. If false, analyzers will not be reloaded with the deleted synonym rule

Response

application/json
result enum required

The update operation result.

Values: created updated deleted not_found noop